fixatan(3)

NAME
fixatan - Fixed point inverse tangent lookup table. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

fixed fixatan(fixed x);

DESCRIPTION
This function finds the inverse tangent of a value using a lookup table. The input value must be a fixed point radian. The inverse tangent is the value whose tangent is `x'. Example:
   fixed result;

   /* Sets `result' to binary angle 13. */
   result = fixatan(ftofix(0.326));

RETURN VALUE
Returns the inverse tangent of a fixed point value, measured as a fixed point binary format angle.

SEE ALSO